Summary: BIND - DNS name server chrooted
Name: bind-chroot
Version: 8.2.3
Release: 1.0.26
Copyright: BSD and (GNU or artistic)
Group: Networking/Daemons
Source0: ftp://ftp.isc.org/isc/bind/src/%{version}/bind-doc-%{version}.tar.gz
Source2: ftp://ftp.isc.org/isc/bind/src/%{version}/bind-src-%{version}.tar.gz
Source4: bind-chroot-8.2.2p7-1.jail.tar.gz
Source5: named.init
Source6: bind-chroot-8.2.2p7-1.rpm.doc.tar.gz
Patch0: bind-chroot-8.2.2p7-2.patch
URL: http://www.isc.org/bind.html
Conflicts: bind
Requires: initscripts >= 6.2-1.0.2
Buildroot: /var/tmp/bind-root
%define setupdir %{name}-%{version}-%{release}
%define jail /var/chroot/named

%description
Includes the named name server, which is used to define host name to
IP address translations (and vice versa).  It can be used on
workstations as a caching name server, but is generally only needed on
one machine for an entire network.  This package runs named chrooted
to %jail as user named group named.

%package utils
Summary: DNS utils - host, dig, dnsquery, nslookup
Group: Networking/Utilities

%description utils
Collection of utilities for querying name servers and looking up
hosts.  These tools let you determine the IP addresses for given host
names, and find information about registered domains and network
addresses.

%prep
%setup -q -c -n %setupdir -T -a 0
%setup -q -D -n %setupdir -T -a 2
%setup -q -D -n %setupdir -T -a 4
# %setup -q -D -n %setupdir -T -a 5
%setup -q -D -n %setupdir -T -a 6


# Patch fixes 'ps p' command, gives better default CC options (in
# CDEBUG), and enables non-root build by removing -o -g specs from two
# install commands.
%patch0

%build
# Our patch file did not change CDEBUG which the Makefile uses like
# CFLAGS (CFLAGS is used in a way we don't want to muck with) and we
# leave it here for easy adjustment.  CDEBUG is cached in .settings as
# is the stuff we have in our makefile patch.
cd src
make depend
make
cd -

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}

# We want the stuff cached in .settings by the earlier make but
# DESTDIR is not cached so we didn't bother setting it before.
cd src
make "DESTDIR=${RPM_BUILD_ROOT}" "STRIP=-s" install
cd -

rm -rf ${RPM_BUILD_ROOT}/etc/*
mkdir -p -m 755 ${RPM_BUILD_ROOT}/etc/init.d
install -m755 %{SOURCE5} ${RPM_BUILD_ROOT}/etc/init.d/named


# Install the prisoner in the jail cell
install -s -m755 ${RPM_BUILD_ROOT}/usr/sbin/named-xfer jail/usr/sbin

# Transport the jail containing the prisoner to build_root
rm -rf ${RPM_BUILD_ROOT}%{jail}
mkdir -p ${RPM_BUILD_ROOT}%{jail}
cp -a jail/* ${RPM_BUILD_ROOT}%{jail}

# man pages
cd doc/man
make clean
rm -rf ${RPM_BUILD_ROOT}/%{_mandir}
mkdir -p ${RPM_BUILD_ROOT}/%{_mandir}
make "DESTDIR=${RPM_BUILD_ROOT}" 'DESTMAN=%{_mandir}' 'MANDIR=man' \
	'CATEXT=$$N' 'MANROFF=cat' install
cd -

# no execuitables in %doc
chmod 0644 src/bin/named-bootconf/named-bootconf.sh

%files
%defattr(- root root)
%doc README.package
%doc src/README src/INSTALL src/Version src/CHANGES src/TODO
%doc src/bin/named/named.conf src/bin/named-bootconf/named-bootconf.sh
%doc doc/bog doc/html doc/misc

#/etc
%attr(700,root,root)	/etc/init.d/named
/usr/sbin/dnskeygen
%attr(750,root,root) /usr/sbin/irpd
%attr(750,root,root) /usr/sbin/named
%attr(750,root,root) /usr/sbin/named-bootconf
%attr(750,root,root) /usr/sbin/named-xfer
%attr(750,root,root) /usr/sbin/ndc

%doc %{_mandir}/man7/hostname.7
%doc %{_mandir}/man8/named.8
%doc %{_mandir}/man8/ndc.8
%doc %{_mandir}/man8/named-xfer.8
%dir %{jail}
%dir %{jail}/dev
%verify() %{jail}/dev/null
%dir %{jail}/etc
%{jail}/etc/named.conf
%verify(not md5 size mtime) %{jail}/etc/group
%verify(not md5 size mtime) %{jail}/etc/localtime
%{jail}/usr
%dir %{jail}/var
%dir %{jail}/var/named
%{jail}/var/named/master
%config(noreplace) %{jail}/var/named/named.conf
%config %{jail}/var/named/named.root
%attr(- named named) %verify(not md5 size mtime) %{jail}/var/named/named.run
%attr(- named named) %{jail}/var/named/slave
%attr(- named named) %{jail}/var/run
%attr(- named named) %{jail}/var/tmp
%attr(- named named) %{jail}/var/log

%files utils
%defattr(- root root)
/usr/bin/nslookup
/usr/bin/dig
/usr/bin/dnsquery
/usr/bin/host
/usr/bin/mkservdb
/usr/bin/nsupdate
/usr/lib/nslookup.help
%doc %{_mandir}/man1
%doc %{_mandir}/man5
%doc %{_mandir}/man8

%pre
[ "`id -gn named 2> /dev/null`" = "named" ] || {
	/usr/sbin/adduser -r named
}
exit 0


%post
cd %{jail}/dev
cd ../etc
# some systems seem to want /etc/group, others don't care
grep '^named:' /etc/group > ./group
cp /etc/localtime ./localtime
exit 0


%changelog
* Tue Apr 10 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 8.2.3, Release 1.0.26
  - Fixed CDEBUG for i386 build.


* Wed Mar 28 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 8.2.3, Release 1.0.25
  - Rebuild to fix inclusion of an older initscript.


* Tue Mar 27 2001 Ryan W. Maple <ryan@guardiandigital.com>
  - Updated initscript.


* Fri Mar 16 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 8.2.3, Release 1.0.23
  - Added "noreplace" flag to %{jail}/var/named/named.conf.


* Thu Mar 15 2001 Ryan W. Maple <ryan@guardiandigital.com>
  - Updated initscripts.

* Thu Feb 01 2001 Pete O'Hara <pete@guardiandigital.com>
- added rm /var/chroot/named/var/run/name.pid to 
	/etc/init.d/named stop routine
- removed minilogd stuff

* Mon Jan 30 2001 Dave Wreski <dave@guardiandigital.com>
- upgraded to 8.2.3

* Mon Jan 22 2001 Pete O'Hara <pete@guardiandigital.com>
- removed spaces and replaced with tabs on the 3 lines
	I added on 12/22/00 in named.conf
- removed the "allow-updates none" from global options as
	it is the default value and its presence is causing
	problems with the global forwarding directives

* Fri Dec 22 2000 Pete O'Hara <pete@guardiandigital.com>
- added "allow-update { none; };" to global options
	in named.conf

* Mon Dec 04 2000 Pete O'Hara <pete@guardiandigital.com>
- chmod 700 /etc/init.d/named 

* Wed Nov 30 2000 Pete O'Hara <pete@guardiandigital.com>
- chmod 750 /usr/sbin/*

* Wed Nov 29 2000 Pete O'Hara <pete@guardiandigital.com>
- included fixed named.init into spec file

* Tue Nov 28 2000 Pete O'Hara <pete@guardiandigital.com>
- changed perm from 755 to 750 /etc/init.d/named 

* Mon Nov 27 2000 Dave Wreski <dave@guardiandigital.com>
- fixed named.init

* Mon Nov 27 2000 Dave Wreski <dave@guardiandigital.com>
- disable chkconfig start at boot

* Tue Nov 21 2000 Pete O'Hara <pete@guardiandigital.com>
- changed /etc/init.d/named to support not accessing
	/etc/sysconfig/network - must be used with 
	initscripts-6.2-1.0.12 or higher

* Thu Nov 16 2000 Dave Wreski <dave@guardiandigital.com>
- fix ndc problem
- upgrade to 8.2.2p7
- FHS fixes
- fix dev/log
- named.conf cleanups

* Wed Nov 08 2000 Pete O'Hara <pete@guardiandigital.com>
- removed /etc/rc.d use 
- fixed jail/var/log 
- added "$TTL 1d" to master/bind, localhost, 127.0.0
	SOA files

* Thu Nov 02 2000 Pete O'Hara <pete@guardiandigital.com>
- added default options of warn master,slave, and response
	when check_names fails and for masters to notify
	slaves when database changes

* Wed Nov 01 2000 Pete O'Hara <pete@guardiandigital.com>
- added global options of no zone xfer and query from any
	to named.conf

* Wed Oct 18 2000 Pete O'Hara <pete@guardiandigital.com>
- added logging features to named.conf

* Mon Oct 02 2000 Dave Wreski <dave@guardiandigital.com>
- Move chroot to /var/chroot
- Now adds named user automagically as system user

* Tue Jul 11 2000 Pete O'Hara <pete@guardiandigital.com>
- removed devel package for Guardian Digital Lockbox

* Sun Jul 09 2000 Dave Wreski <dave@guardiandigital.com>
- Rebuilt to remove from experimental status

